Remove methods strtime and iso8601_from_timestamp

Bug #1715325 reported by Chenghui Yu on 2017-09-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Manila
Low
Chenghui Yu
cloudkitty
Undecided
Luka Peschke
daisycloud-core
Undecided
Chenghui Yu
gce-api
Undecided
Chenghui Yu
networking-cisco
Undecided
Chenghui Yu
oslo.utils
Undecided
Chenghui Yu
watcher
Undecided
Chenghui Yu

Bug Description

oslo_utils.timeutils.strtime() and oslo_utils.timeutils.iso8601_from_timestamp() is deprecated as of 1.6 so we need to stop using it.

For more informations:
https://docs.openstack.org/oslo.utils/latest/reference/timeutils.html

Chenghui Yu (chenghuiyu) on 2017-09-06
summary: - Remove methods isotime strtime iso8601_from_timestamp
+ Remove methods strtime iso8601_from_timestamp
Changed in oslo.utils:
assignee: nobody → Chenghui Yu (chenghuiyu)
status: New → In Progress
Chenghui Yu (chenghuiyu) on 2017-09-06
Changed in zaqar:
status: New → In Progress
assignee: nobody → Chenghui Yu (chenghuiyu)
Chenghui Yu (chenghuiyu) on 2017-09-06
Changed in cloudkitty:
status: New → In Progress
assignee: nobody → Chenghui Yu (chenghuiyu)
Changed in manila:
status: New → In Progress
assignee: nobody → Chenghui Yu (chenghuiyu)
Chenghui Yu (chenghuiyu) on 2017-09-06
Changed in networking-cisco:
status: New → In Progress
assignee: nobody → Chenghui Yu (chenghuiyu)
Changed in gce-api:
status: New → In Progress
assignee: nobody → Chenghui Yu (chenghuiyu)
Changed in daisycloud-core:
status: New → In Progress
assignee: nobody → Chenghui Yu (chenghuiyu)
Changed in watcher:
status: New → In Progress
assignee: nobody → Chenghui Yu (chenghuiyu)
Changed in manila:
importance: Undecided → Low
Chenghui Yu (chenghuiyu) on 2017-09-07
no longer affects: zaqar

Reviewed: https://review.openstack.org/501178
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=2058b54b72a0c0ea25552afbc6e7f250f259876f
Submitter: Jenkins
Branch: master

commit 2058b54b72a0c0ea25552afbc6e7f250f259876f
Author: chenghuiyu <email address hidden>
Date: Wed Sep 6 17:12:00 2017 +0800

    NetApp: Fix usage of iso8601_from_timestamp

    The commit I35ef3205657481f2a49a060ccb199babe582ff7e introduced
    the deprecated isotime(), and iso8601_from_timestamp() is
    deprecated as of 1.6. So usage of iso8601_from_timestamp should
    be removed in NetApp

    Change-Id: I43f4d5bb73255df0c1c7920553c0ad300613eb1a
    Partial-Bug: #1715325

Chenghui Yu (chenghuiyu) on 2017-09-08
Changed in manila:
status: In Progress → Fix Committed
Changed in gce-api:
status: In Progress → Fix Committed
Changed in daisycloud-core:
status: In Progress → Fix Committed
Chenghui Yu (chenghuiyu) on 2017-09-12
description: updated
summary: - Remove methods strtime iso8601_from_timestamp
+ Remove methods strtime and iso8601_from_timestamp

Reviewed: https://review.openstack.org/501556
Committed: https://git.openstack.org/cgit/openstack/watcher/commit/?id=3a7fc7a8e502f9ac0db28aefcd1e9f2742a15e44
Submitter: Jenkins
Branch: master

commit 3a7fc7a8e502f9ac0db28aefcd1e9f2742a15e44
Author: chenghuiyu <email address hidden>
Date: Thu Sep 7 11:36:23 2017 +0800

    Utils: fix usage of strtime

    As oslo_utils.timeutils.strtime() is deprecated in
    version '1.6', and will be removed in a future version.

    For more informations:
    https://docs.openstack.org/oslo.utils/latest/reference/timeutils.html

    Change-Id: I1aca257fbe8b08c3478c5da9639835033b19144a
    Partial-Bug: #1715325

Changed in cloudkitty:
assignee: Chenghui Yu (chenghuiyu) → Luka Peschke (luka-peschke)

Reviewed: https://review.openstack.org/501527
Committed: https://git.openstack.org/cgit/openstack/cloudkitty/commit/?id=07ba0dc64474dd66b87bbd3649fe6d3026cfaf80
Submitter: Zuul
Branch: master

commit 07ba0dc64474dd66b87bbd3649fe6d3026cfaf80
Author: chenghuiyu <email address hidden>
Date: Thu Sep 7 09:42:13 2017 +0800

    Utils: fix usage of iso8601_from_timestamp

    The commit Ib384ae8130dcc6cbd47a837d11ca171ce02ef29e replaced
    oslo_utils.timeutils.isotime, As oslo_utils.timeutils.isotime()
    is deprecated in version '1.6'. So the workaround is to copy
    the current implementation from oslo_utils.timeutils.isotime()
    to utils.py. However, oslo_utils.timeutils.iso8601_from_timestamp
    is also deprecated in version '1.6' and will be removed in a
    future version.

    So the workaround is to copy the current implementation from
    oslo_utils.timeutils.iso8601_from_timestamp() to utils.py

    For more informations:
    https://docs.openstack.org/oslo.utils/latest/reference/timeutils.html

    Change-Id: Iaea0465527329ac4253828fab88998de8eafc031
    Partial-Bug: #1715325

Changed in watcher:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers